﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@using Portal.Models.Globals;
@using Portal.Models.Supplier;
@using Portal.Models.Dock;

@model Toyota.Common.Web.MVC.ModelHolder

<table cellpadding="0" cellspacing="0" border="0">
    <tr>
        <td style="width:130px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier Plant Code";
                }).GetHtml()            
        </td>
        <td style="width:108px" colspan="9">
            
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
                gridLookup.Name = "OPHSupplierOption";
                gridLookup.Width = 108;
                gridLookup.GridProperties.KeyFieldName = "SupplierCode;SupplierName";
                gridLookup.ShowDescription = true;
                gridLookup.DescriptionWidth = Unit.Pixel(245);
                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "DailyOrderPrintingSPEXv2", Action = "PartialHeaderSupplierLookupGridOrderPrinting" };
                gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                gridLookup.ReadOnly = true;
                if (Model.GetModel<List<Supplier>>().Count == 1)
                {
                    gridLookup.Text = Model.GetModel<List<Supplier>>()[0].SupplierCode;
                }
                    
                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SupplierCode";
                    column.FieldName = "SupplierCode";
                    column.Caption = "Supplier<br /> Code";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SupplierName";
                    column.FieldName = "SupplierName";
                    column.Caption = "Supplier<br />Name";
                    column.Width = Unit.Pixel(500);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
            }).Bind(Model.GetModel<List<Supplier>>()).GetHtml()      
        </td>
        <td style="width:150px">
            @Html.DevExpress().CheckBox(
                properties =>
                {
                    properties.Name = "chkManifest";
                    properties.Text = "Supplier Manifest";
                    properties.Checked = true;
                }).GetHtml()                          
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td style="width:118px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Sub. Supplier Plant Code";
                }).GetHtml()
        </td>
        <td style="width:108px" colspan="9">
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
                gridLookup.Name = "OPHSubSupplierOption";
                gridLookup.Width = 108;
                gridLookup.ShowDescription = true;
                gridLookup.DescriptionWidth = Unit.Pixel(245);
                gridLookup.GridProperties.KeyFieldName = "SUB_SUPPLIER_CODE_PLANT;SUB_SUPPLIER_NAME";
                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "DailyOrderPrintingSPEXv2", Action = "PartialHeaderSubSupplierLookupGridOrderInquiry" };
                gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                gridLookup.ReadOnly = true;
                if (Model.GetModel<List<SupplierNameSPEX>>().Count == 1)
                {
                    gridLookup.Text = Model.GetModel<List<SupplierNameSPEX>>()[0].SUB_SUPPLIER_CODE_PLANT;
                }

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUB_SUPPLIER_CODE_PLANT";
                    column.FieldName = "SUB_SUPPLIER_CODE_PLANT";
                    column.Caption = "Sub. Supplier<br /> Code";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });

                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "SUB_SUPPLIER_NAME";
                    column.FieldName = "SUB_SUPPLIER_NAME";
                    column.Caption = "Sub. Supplier<br />Name";
                    column.Width = Unit.Pixel(500);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
            }).Bind(Model.GetModel<List<SupplierNameSPEX>>()).GetHtml()
        </td>
        <td style="width:150px">
            @Html.DevExpress().CheckBox(
                properties =>
                {
                    properties.Name = "chkKanban";
                    properties.Text = "Kanban";
                    properties.Checked = true;
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td style="width:118px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Order No";
                }).GetHtml()     
        </td>
        <td style="width:108px">
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Properties.ClientInstanceName = "OPHOrderNoText";
                    textBox.Name = "OPHOrderNoText";
                    textBox.Width = Unit.Pixel(110);
                }).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td style="width:40px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Dock";
                }).GetHtml()      
        </td>
        <td style="width:5px"></td> @* column spacing *@
        <td style="width:120px" colspan="5">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OPHDockOption";
                    gridLookup.Width = Unit.Pixel(183);
                    gridLookup.GridProperties.KeyFieldName = "DOCK_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "DailyOrderPrintingSPEXv2", Action = "PartialHeaderDockLookupGridOrderPrinting" };
                    gridLookup.ReadOnly = true;
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PLANT_CD";
                        column.FieldName = "PLANT_CD";
                        column.Caption = "Plant Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PLANT_NM";
                        column.FieldName = "PLANT_NM";
                        column.Caption = "Plant Name";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_CD";
                        column.FieldName = "DOCK_CD";
                        column.Caption = "Dock Code";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DOCK_NM";
                        column.FieldName = "DOCK_NM";
                        column.Caption = "Dock Name";
                        column.Width = Unit.Pixel(200);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<DockData>>()).GetHtml()              
        </td>
        @*<td style="width:10px"></td>*@ @* column spacing *@
        <td style="width:150px">
            @Html.DevExpress().CheckBox(
                properties =>
                {
                    properties.Name = "chkSkid";
                    properties.Text = "Skid";
                    properties.Checked = true;
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td style="width:118px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Printing Date Time";
                }).GetHtml()      
        </td>
        <td style="width:108px">
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "OPHOrderPrintingFromDate";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Width = 108;
                    settings.Date = DateTime.Now;
                }
            ).GetHtml()                     
        </td>
        <td style="width:5px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().TimeEdit(
                timeEdit =>
                {
                    timeEdit.Name = "OPHOrderPrintingFromTime";
                    timeEdit.Width = 40;
                    timeEdit.Properties.EditFormatString = "HH";
                    timeEdit.Properties.DisplayFormatString = "HH";
                    timeEdit.DateTime = new DateTime(2013,1,1,0,0,0);
                }).GetHtml()
        </td> 
        <td style="width:10px"></td> @* column spacing *@
        <td style="width:20px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "To";
                }).GetHtml()                          
        </td>
        <td style="width:108px">
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "OPHOrderPrintingToDate";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Width = 108;
                    settings.Date = DateTime.Now.AddDays(1);
                }
            ).GetHtml()                     
        </td>
        <td style="width:15px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().TimeEdit(
                    timeEdit =>
                    {
                        timeEdit.Name = "OPHOrderPrintingToTime";
                        timeEdit.Width = 40;
                        timeEdit.Properties.EditFormatString = "HH";
                        timeEdit.Properties.DisplayFormatString = "HH";
                        timeEdit.DateTime = new DateTime(2013, 1, 1, 23, 0, 0); ;
                    }).GetHtml()
        </td>
    </tr>   
</table>
<table>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().CheckBox(
                properties =>
                {
                    properties.Name = "chkShowPrintedDocument";
                    properties.Text = "Show Printed Document";
                    properties.Checked = false;
                }).GetHtml()
        </td>
    </tr>
</table>
<table>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td colspan="1" align="left">
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "OPHPrintButton";
                    buttonSettings.Text = "Print";
                    //buttonSettings.ControlStyle.CssClass = "dxDisplayInline";
                    buttonSettings.Width = Unit.Pixel(110);
                    buttonSettings.ClientSideEvents.Click = "OnOPHPrintButtonClick";
                }).GetHtml()                 
        </td>
        <td colspan="2" align="left">
            @Html.DevExpress().Button(
                buttonSettings =>
                {
                    buttonSettings.Name = "OPHDownloadButton";
                    buttonSettings.Text = "Download";
                    //buttonSettings.ControlStyle.CssClass = "dxDisplayInline";
                    buttonSettings.Width = Unit.Pixel(110);
                    buttonSettings.ClientSideEvents.Click = "OnOPHDownloadButtonClick";
                }).GetHtml()    
        </td>
        <td colspan="2" style="width:120px">&nbsp;
            @*@Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "OPHPrintScheduleButton";
                    settings.Text = "View Schedule";
                    settings.Width = Unit.Pixel(120);
                    settings.ClientSideEvents.Click = "OnOPHPrintScheduleButtonClick";
                }).GetHtml()*@
        </td>
        <td style="width:100px"></td> @* column spacing *@
        <td colspan="2" align="right">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "OPHSearchButton";
                                settings.Text = "Search";
                                settings.Width = Unit.Pixel(80);
                                //settings.Style.Add("display", "inline-table");
                                settings.ClientSideEvents.Click = "OnOPHSearchButtonClick";
                            }).GetHtml()
                    </td>
                    <td style="padding-left:2px">
                        @Html.DevExpress().Button(
                                settings =>
                                {
                                    settings.Name = "OPHClearButton";
                                    settings.Text = "Clear";
                                    settings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                                    //settings.Style.Add("display", "inline-table");
                                    settings.ClientSideEvents.Click = "OnOPHClearButtonClick";
                                }).GetHtml()
                    </td>
                </tr>    
            </table>
        </td>
    </tr>
</table>